Backup Usage Summaries - List
Fetches the backup management usage summaries of the vault.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupUsageSummaries?api-version=2026-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupUsageSummaries?api-version=2026-05-01&$filter={$filter}&$skipToken={$skipToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
vault
|
path | True |
string |
The name of the recovery services vault. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$filter
|
query |
string |
OData filter options. |
|
|
$skip
|
query |
string |
skipToken Filter. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| Get Protected Containers Usages Summary |
| Get Protected Items Usages Summary |
Get Protected Containers Usages Summary
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRG/providers/Microsoft.RecoveryServices/vaults/testVault/backupUsageSummaries?api-version=2026-05-01&$filter=type eq 'BackupProtectionContainerCountSummary'
Sample response
{
"value": [
{
"name": {
"localizedValue": "Azure Backup Server",
"value": "AzureBackupServer"
},
"currentValue": 2,
"limit": -1,
"unit": "Count"
},
{
"name": {
"localizedValue": "Azure Backup Agent",
"value": "MAB"
},
"currentValue": 3,
"limit": -1,
"unit": "Count"
},
{
"name": {
"localizedValue": "SQL in Azure VM",
"value": "AzureWorkload"
},
"currentValue": 1,
"limit": -1,
"unit": "Count"
}
]
}
Get Protected Items Usages Summary
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testRG/providers/Microsoft.RecoveryServices/vaults/testVault/backupUsageSummaries?api-version=2026-05-01&$filter=type eq 'BackupProtectedItemCountSummary'
Sample response
{
"value": [
{
"name": {
"localizedValue": "Azure Virtual Machine",
"value": "AzureIaasVM"
},
"currentValue": 7,
"limit": -1,
"unit": "Count"
},
{
"name": {
"localizedValue": "Azure Backup Agent",
"value": "MAB"
},
"currentValue": 3,
"limit": -1,
"unit": "Count"
},
{
"name": {
"localizedValue": "Azure Backup Server",
"value": "AzureBackupServer"
},
"currentValue": 1,
"limit": -1,
"unit": "Count"
},
{
"name": {
"localizedValue": "Azure Storage (Azure Files)",
"value": "AzureStorage"
},
"currentValue": 2,
"limit": -1,
"unit": "Count"
},
{
"name": {
"localizedValue": "SQL in Azure VM",
"value": "AzureWorkload"
},
"currentValue": 2,
"limit": -1,
"unit": "Count"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Backup |
Backup management usages of a vault. |
|
Backup |
Backup management usage for vault. |
|
Error |
Error Detail class which encapsulates Code, Message and Recommendations. |
|
Error |
Error response |
|
Name |
The name of usage. |
|
Usages |
Unit of the usage. |
BackupManagementUsage
Backup management usages of a vault.
| Name | Type | Description |
|---|---|---|
| currentValue |
integer (int64) |
Current value of usage. |
| limit |
integer (int64) |
Limit of usage. |
| name |
Name of usage. |
|
| nextResetTime |
string (date-time) |
Next reset time of usage. |
| quotaPeriod |
string |
Quota period of usage. |
| unit |
Unit of the usage. |
BackupManagementUsageList
Backup management usage for vault.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URI to fetch the next page of resources, with each API call returning up to 200 resources per page. Use ListNext() to fetch the next page if the total number of resources exceeds 200. |
| value |
The list of backup management usages for the given vault. |
ErrorDetail
Error Detail class which encapsulates Code, Message and Recommendations.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error Message related to the Code. |
| recommendations |
string[] |
List of recommendation strings. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
NameInfo
The name of usage.
| Name | Type | Description |
|---|---|---|
| localizedValue |
string |
Localized value of usage. |
| value |
string |
Value of usage. |
UsagesUnit
Unit of the usage.
| Value | Description |
|---|---|
| Count | |
| Bytes | |
| Seconds | |
| Percent | |
| CountPerSecond | |
| BytesPerSecond |